package net.minecraft.world.phys.shapes;

import net.minecraft.world.item.Item;
import net.minecraft.core.BlockPos;
import net.minecraft.world.entity.Entity;

public interface CollisionContext {
    default CollisionContext empty() {
        return EntityCollisionContext.EMPTY;
    }
    
    default CollisionContext of(final Entity akq) {
        return new EntityCollisionContext(akq);
    }
    
    boolean isDescending();
    
    boolean isAbove(final VoxelShape cwf, final BlockPos fk, final boolean boolean3);
    
    boolean isHoldingItem(final Item bei);
}
